OpenNMS API 1.2.9

## org.opennms.web.admin.nodeManagement
Class ManagedNode

    java.lang.Object
      org.opennms.web.admin.nodeManagement.ManagedNode

public class ManagedNode
extends java.lang.Object

A servlet that stores node, interface, service information

Author:
  Jason Johns , OpenNMS

Field Summary
`protected java.util.List` `interfaces`
`protected int` `nodeID`
`protected java.lang.String` `nodeLabel`

Constructor Summary
`ManagedNode()`

Method Summary
`void` `addInterface(ManagedInterface newInterface)`
`int` `getInterfaceCount()`
`java.util.List` `getInterfaces()`
`int` `getNodeID()`
`java.lang.String` `getNodeLabel()`
`void` `setNodeID(int id)`
`void` `setNodeLabel(java.lang.String label)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nodeID

    protected int nodeID

### nodeLabel

    protected java.lang.String nodeLabel

### interfaces

    protected java.util.List interfaces

Constructor Detail

### ManagedNode

    public ManagedNode()

Method Detail

### setNodeID

    public void setNodeID(int id)

### setNodeLabel

    public void setNodeLabel(java.lang.String label)

### addInterface

    public void addInterface(ManagedInterface newInterface)

### getInterfaceCount

    public int getInterfaceCount()

### getNodeID

    public int getNodeID()

### getNodeLabel

    public java.lang.String getNodeLabel()

### getInterfaces

    public java.util.List getInterfaces()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.